C# Класс Revit.SDK.Samples.WindowWizard.CS.GeoHelper

A object to help locating with geometry data.
Показать файл Открыть проект Примеры использования класса

Открытые методы

Метод Описание
Distribute ( Mesh mesh, Autodesk &startPoint, Autodesk &endPoint, Autodesk &thirdPnt ) : void

Find out the three points which made of a plane.

Equal ( Autodesk vectorA, Autodesk vectorB ) : bool

Determines whether two vector are equal in x and y axis.

GetExtrusionFace ( Extrusion extrusion, View view, bool ExtOrInt ) : Face

The method is used to get extrusion's face along to the specified parameters

GetVector ( Autodesk startPoint, Autodesk endPoint ) : Autodesk.Revit.DB.XYZ

Get the vector between two points.

GetWallFace ( Wall wall, View view, bool ExtOrInt ) : Face

The method is used to get the wall face along the specified parameters

IsVerticalEdge ( System.Edge edge ) : bool

Determines whether a edge is vertical.

Приватные методы

Метод Описание
GetExteriorFace ( FaceArray faces ) : Face

The assistant method is used for getting wall face and getting extrusion face

GetInteriorFace ( FaceArray faces ) : Face

The assistant method is used for getting wall face and getting extrusion face

Описание методов

Distribute() публичный статический Метод

Find out the three points which made of a plane.
public static Distribute ( Mesh mesh, Autodesk &startPoint, Autodesk &endPoint, Autodesk &thirdPnt ) : void
mesh Mesh A mesh contains many points.
startPoint Autodesk Create a new instance of ReferencePlane.
endPoint Autodesk The free end apply to reference plane.
thirdPnt Autodesk A third point needed to define the reference plane.
Результат void

Equal() публичный статический Метод

Determines whether two vector are equal in x and y axis.
public static Equal ( Autodesk vectorA, Autodesk vectorB ) : bool
vectorA Autodesk The vector A.
vectorB Autodesk The vector B.
Результат bool

GetExtrusionFace() публичный статический Метод

The method is used to get extrusion's face along to the specified parameters
public static GetExtrusionFace ( Extrusion extrusion, View view, bool ExtOrInt ) : Face
extrusion Extrusion the extrusion
view View options view
ExtOrInt bool If true indicate getting exterior extrusion face, else getting interior extrusion face
Результат Face

GetVector() публичный статический Метод

Get the vector between two points.
public static GetVector ( Autodesk startPoint, Autodesk endPoint ) : Autodesk.Revit.DB.XYZ
startPoint Autodesk The start point.
endPoint Autodesk The end point.
Результат Autodesk.Revit.DB.XYZ

GetWallFace() публичный статический Метод

The method is used to get the wall face along the specified parameters
public static GetWallFace ( Wall wall, View view, bool ExtOrInt ) : Face
wall Wall the wall
view View the options view
ExtOrInt bool if true indicate that get exterior wall face, else false get the interior wall face
Результат Face

IsVerticalEdge() публичный статический Метод

Determines whether a edge is vertical.
public static IsVerticalEdge ( System.Edge edge ) : bool
edge System.Edge The edge to be determined.
Результат bool